Package org.apache.sling.discovery.commons.providers.spi.base

# Interface DiscoveryLiteConfig

public interface DiscoveryLiteConfig
Provides the configuration of a few paths needed by discovery-lite processing services

## Method Summary

Modifier and Type
Method
Description
`long`
`getClusterSyncServiceIntervalMillis()`
Returns the interval (in milliseconds) to be used when waiting for the sync tokens or id mapping
`long`
`getClusterSyncServiceTimeoutMillis()`
Returns the timeout (in milliseconds) to be used when waiting for the sync tokens or id mapping
`String`
`getIdMapPath()`
Returns the configured path to store the idMap to
`String`
`getSyncTokenPath()`
Returns the configured path to store the syncTokens to

## Method Details

### getSyncTokenPath

String getSyncTokenPath()
Returns the configured path to store the syncTokens to

Returns:
  the configured path to store the syncTokens to

### getIdMapPath

String getIdMapPath()
Returns the configured path to store the idMap to

Returns:
  the configured path to store the idMap to

### getClusterSyncServiceTimeoutMillis

long getClusterSyncServiceTimeoutMillis()
Returns the timeout (in milliseconds) to be used when waiting for the sync tokens or id mapping

Returns:
  the timeout (in milliseconds) to be used when waiting for the sync tokens or id mapping

### getClusterSyncServiceIntervalMillis

long getClusterSyncServiceIntervalMillis()
Returns the interval (in milliseconds) to be used when waiting for the sync tokens or id mapping

Returns:
  the interval (in milliseconds) to be used when waiting for the sync tokens or id mapping